Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224128 - xmm registers' v16_int8 variant broken print
Summary: xmm registers' v16_int8 variant broken print
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 10:36 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: gdb-6.6-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-27 07:59:26 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2007-01-24 10:36:44 UTC
Description of problem:
v16_int8 is printed as string instead of bytes array.

Version-Release number of selected component (if applicable):
HEAD

How reproducible:
Always.

Steps to Reproduce:
1. gdb gdb/testsuite/gdb.arch/i386-sse
2. b 71; run; print $xmm1
  
Actual results:
  v16_int8 = "�����U�����U" v8_int16 = {-16448, -21077, 21997, -16419,

Expected results:
  v16_int8 = {192, .... 191}, v8_int16 = {-16448, -21077, 21997, -16419,

Additional info:

Comment 1 Jan Kratochvil 2007-01-25 14:57:45 UTC
Reposted upstream as:
http://sources.redhat.com/ml/gdb-patches/2007-01/msg00519.html


Comment 2 Jan Kratochvil 2007-01-27 07:59:26 UTC
* Fri Jan 26 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-2
- Fix displaying of numeric char arrays as strings (BZ 224128).



Note You need to log in before you can comment on or make changes to this bug.